{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.crl.pufferfish": {
      "arrays": {
        "geometries": {
          "Array.models": ["Geometry.default", "Geometry.mid", "Geometry.large"]
        },
        "textures": {
          "Array.variant_skins": [
            "Texture.porcupine",
            "Texture.porcupine_blue",
            "Texture.porcupine_red"
          ]
        }
      },
      "geometry": "Array.models[query.variant]",
      "materials": [{ "*": "Material.default" }],
      "textures": ["(q.is_name_any('Porcupine','Blue Porcupine','Red Porcupine')?(q.is_name_any('Porcupine')?(Texture.porcupine):(q.is_name_any('Blue Porcupine')?Texture.porcupine_blue:Texture.porcupine_red)):Array.variant_skins[variable.random_variant])"]
    }
  }
}
